using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// 代理加盟类别的操作接口
/// </summary>
namespace Agent
{
    public interface IAgentType
    {
        int Insert(TAgentType us);              //添加代理加盟类别
        int Update(TAgentType us);              //修改代理加盟类别
        int Delete(int ID);                     //根据ID删除代理加盟类别
        int Delete(string ID);   
        DataTable GetDataTable();               //取得代理加盟类别
        DataTable GetDataTable(int ParamID);    //根据其他信息取得代理加盟类别
        DataTable GetFullData(int ParamID);     //根据ID字符串得到代理加盟信息
        TAgentType GateItem(int ID);            //根据ID取得每一条代理加盟类别
    }
}
